version: '3.5'

services:
  udcmgt:
    hostname: udcmgt
    image: registry.edoc2.com:5000/edoc2v5/ingest:ecm-v5.18.0.0
    volumes:
      - /home/edoc2/macrowing/edoc2v5/data/udcmgt:/app/wwwroot/external
#    environment:
#       - DatabasePassword=1qaz1QAZ2wsx2WSX
#       - DatabaseServerName=172.16.1.32
#       - DatabaseType=3
#       - DatabaseUserName=wf
#       - DatabaseServerPort=3306   
#        - ECMURL=http://edoc2
#     - ECM_IntegrationKey=46aa92ec-66af-4818-b7c1-8495a9bd7f1
#      - ESURL=http://es:9200
    env_file:
      ./envfile.env
    labels:
      "type": "1"
    networks:
      - edoc2
    cap_add:
      - SYS_PTRACE
networks:
  edoc2:
    external: true
    name: macrowing

